﻿#map-container {
    height: 100dvh;
    position: relative;
}

#map {
    height: 100%; /* Adjust height to account for margin */
    width: 100dvw;
    margin: 0; /* Reset margin */
}

.atlas-map .map-copyright.light {
    display: none;
}

.atlas-map .top-right.subcontrol-container {
    top: 15px !important;
}

/* Style for search box */
.search-box {
    position: absolute;
    top: 15px;
    left: 10px;
    z-index: 1000;
    width: 40%;
}

    .search-box input[type="text"] {
        padding-right: 30px; /* Adjust padding to accommodate icon */
    }

#searchMarkerInput::placeholder {
    color: #FFF;
    opacity: 1;
}

#searchMarkerInput:focus {
    background-color: #00000066 !important;
    color: #FFF !important;
}

#searchMarkerInput:not(:focus) {
    background-color: #00000066 !important;
    color: #FFF !important;
}

/* Second Popup */
.CustomCardSection1 {
    border-right: darkgray 2px dotted !important;
    padding: 0px 5px 0px 0px;
}

.CustomCardSection2 {
    border-right: darkgray 2px dotted !important;
}
/* Second Popup */

/* Your map position has changed Search this Area button*/
#divSearchArea, #divNoMeter, #divFetchingActiveSessions, #divNoActiveSessions, #divActiveSessions {
    position: absolute;
    top: auto;
    bottom: 0;
    left: calc(50% - 240px);
    z-index: 1999;
    background-color: #00000066 !important;
    display: none;
}

#divFetchingActiveSessions {
    left: calc(50% - 161.781px) !important;
}

#divNoActiveSessions {
    left: calc(50% - 118.8515px) !important;
}

#divActiveSessions {
    left: calc(50% - 279.469px) !important;
}

#btnExtendSession:before {
    content: 'Yes, Extend the current session';
}

#btnNewSession:before {
    content: 'No, Start a New Session';
}

#divPreSelectedMeter {
    position: absolute;
    top: auto;
    color: #000;
    left: calc(50% - 318px);
    z-index: 2005;
    background-color: #00000036 !important;
    font-size: larger;
}

.atlas-map .popup-content-container {
    box-shadow: none !important;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
}

.addressText {
    font-size: small;
}

@media only screen and (max-width: 324px) {
    #divFetchingActiveSessions {
        left: 0 !important;
    }
}

@media only screen and (max-width: 559px) {
    #divActiveSessions {
        left: 0 !important;
        margin: 0 10px !important;
    }
}

/* Adjustments for Android */
@media only screen and (max-width: 767px) {
    #map-container {
        height: calc(100dvh - 4.375rem);
        position: relative;
    }

    /* Your map position has changed Search this Area button*/
    #divSearchArea, #divNoMeter {
        right: 0 !important;
        left: auto;
    }

    #btnExtendSession:before {
        content: 'Yes';
    }

    #btnNewSession:before {
        content: 'No';
    }

    /* Adjust search box position */
    .search-box {
        width: calc(100% - 20px);
    }

    .atlas-map .top-right.subcontrol-container {
        top: 58px !important;
    }

    #custom-card {
        font-size: 80%;
        font-weight: 400;
    }

    .card {
        border-radius: 15px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }

    /* Second Popup */
    .CustomCardSection1 {
        border: none !important;
        padding: 0px;
    }

    .CustomCardSection2 {
        border: none !important;
    }
    
    /* Second Popup */
    #divPreSelectedMeter {
        right: 0 !important;
        left: auto;
        font-size: large;
    }
}

/* Adjustments for tablets */
@media only screen and (min-width: 768px) and (max-width: 991px) {
    /* Search box */
    .search-box {
        width: 70%;
    }

    /* Second Popup */
    .CustomCardSection1 {
        border: none !important;
        padding: 0px;
    }
    /* Second Popup */
}

#loader {
    position: fixed;
    z-index: 9999;
    top: 50%;
    left: 50%;
    border: 12px solid #9B9B9B;
    border-top: 12px solid #246162;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: translate(-50%, -50%) rotate(0deg);
    }

    100% {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

#searchBoxContainer {
    background-color: white; /* Change background color to white */
    color: black; /* Text color */
    position: absolute;
    left: 0;
    right: 0;
    top: calc(100% + 10px); /* Position it below the search input */
    z-index: 1000;
    padding: 10px;
    display: none; /* Initially hide the container */
    max-height: 200px;
    overflow-y: auto;
    border: 1px solid gray;
}


.suggestion-item {
    padding: 5px;
    cursor: pointer;
}

    .suggestion-item:hover {
        background-color: #00000066;
    }

.show-container {
    display: block !important; /* Show the container */
}
